package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.fake;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * User: ginger
 * Date: 06.12.13
 */
@JsonIgnoreProperties({"PriorityID"})
public class GroupFakeInfo {
    @JsonProperty("pid")
    private Long pid;

    @JsonProperty("geo")
    private String geo;

    @JsonProperty("group_name")
    private String groupName;

    @JsonProperty("statusModerate")
    private String statusModerate;

    @JsonProperty("login")
    private String login;

    @JsonProperty("statusBsSynced")
    private String statusBsSynced;

    @JsonProperty("LastChange")
    private String lastChange;

    @JsonProperty("statusPostModerate")
    private String statusPostModerate;

    @JsonProperty("statusShowsForecast")
    private String statusShowsForecast;

    @JsonProperty("statusAutobudgetShow")
    private String statusAutobudgetShow;

    @JsonProperty("cid")
    private Integer cid;

    @JsonProperty("has_phraseid_href")
    private String hasPhraseIdHref;

    @JsonProperty("group_master_bid")
    private Long groupMasterBid;

    @JsonProperty("mobile_multiplier_pct")
    private Integer mobileMultiplierPct;

    @JsonProperty("forecastDate")
    private String forecastDate;

    @JsonProperty("mobile_content_id")
    private Integer mobileContentId;

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public String getGeo() {
        return geo;
    }

    public void setGeo(String geo) {
        this.geo = geo;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getStatusModerate() {
        return statusModerate;
    }

    public void setStatusModerate(String statusModerate) {
        this.statusModerate = statusModerate;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getStatusBsSynced() {
        return statusBsSynced;
    }

    public void setStatusBsSynced(String statusBsSynced) {
        this.statusBsSynced = statusBsSynced;
    }

    public String getLastChange() {
        return lastChange;
    }

    public void setLastChange(String lastChange) {
        this.lastChange = lastChange;
    }

    public String getStatusPostModerate() {
        return statusPostModerate;
    }

    public void setStatusPostModerate(String statusPostModerate) {
        this.statusPostModerate = statusPostModerate;
    }

    public String getStatusShowsForecast() {
        return statusShowsForecast;
    }

    public void setStatusShowsForecast(String statusShowsForecast) {
        this.statusShowsForecast = statusShowsForecast;
    }

    public String getStatusAutobudgetShow() {
        return statusAutobudgetShow;
    }

    public void setStatusAutobudgetShow(String statusAutobudgetShow) {
        this.statusAutobudgetShow = statusAutobudgetShow;
    }

    public Integer getCid() {
        return cid;
    }

    public void setCid(Integer cid) {
        this.cid = cid;
    }

    public String getHasPhraseIdHref() {
        return hasPhraseIdHref;
    }

    public void setHasPhraseIdHref(String hasPhraseIdHref) {
        this.hasPhraseIdHref = hasPhraseIdHref;
    }

    public Long getGroupMasterBid() {
        return groupMasterBid;
    }

    public void setGroupMasterBid(Long groupMasterBid) {
        this.groupMasterBid = groupMasterBid;
    }

    public Integer getMobileMultiplierPct() {
        return mobileMultiplierPct;
    }

    public void setMobileMultiplierPct(Integer mobileMultiplierPct) {
        this.mobileMultiplierPct = mobileMultiplierPct;
    }

    public String getForecastDate() {
        return forecastDate;
    }

    public void setForecastDate(String forecastDate) {
        this.forecastDate = forecastDate;
    }

    public Integer getMobileContentId() {
        return mobileContentId;
    }

    public void setMobileContentId(Integer mobileContentId) {
        this.mobileContentId = mobileContentId;
    }
}
